REM INFO: TileOnce.csc v1.4 (PP10)
REM Copyright  James Aswell, 2000
REM 
REM DESCRIPTION:
REM TileOnce will tile the current image once in a given direction
REM expanding the paper size as necessary.

BEGIN DIALOG Dialog1 119, 29, "TileOnce"
	PUSHBUTTON  5, 8, 50, 14, "Vertically"
	PUSHBUTTON  64, 8, 50, 14, "Horizontally"
END DIALOG

WITHOBJECT "CorelPhotoPaint.Automation.10"
ON ERROR GOTO ERRORHANDLER

	Choice = Dialog(Dialog1)

	IF Choice = 3 OR Choice = 4 THEN
		.ObjectMerge TRUE
			.EndObject

		.ObjectCreateFromBackground
	
		WIDE = .GetDocumentWidth()
		HIGH = .GetDocumentHeight()

		HORIZONTAL = 1
		VERTICAL = 1

		XOff = 0
		YOff = 0

		IF Choice = 3 THEN ' Right Side
			HIGH = 2 * HIGH
		ELSEIF Choice = 4 THEN ' Left Side
			HORIZONTAL = 2
			WIDE = 2 * WIDE
		ENDIF

		.ImagePapersize WIDE, HIGH, XOff, YOff, 5, 0, 0, 0, 0

		.ObjectDuplicate
			.EndObject

		.ObjectAlign HORIZONTAL, VERTICAL, FALSE, FALSE, FALSE, TRUE, TRUE, TRUE, TRUE
			.EndObject

		.ObjectMerge TRUE
			.EndObject
	ENDIF

END WITHOBJECT

stop

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT
